[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#577375: marked as done (gpsk31: FTBFS: call_dialog.C:378: error: 'GTK_WIDGET_VISIBLE' was not declared in this scope)

Your message dated Sat, 08 May 2010 15:40:13 +0000
with message-id <E1OAm8T-0000dG-RY@ries.debian.org>
and subject line Bug#577375: fixed in gpsk31 0.5-4
has caused the Debian Bug report #577375,
regarding gpsk31: FTBFS: call_dialog.C:378: error: 'GTK_WIDGET_VISIBLE' was not declared in this scope
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

577375: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=577375
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Source: gpsk31
Version: 0.5-3
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100410 qa-ftbfs
Justification: FTBFS on amd64


During a rebuild of all packages in sid, your package failed to build on

Relevant part:
> if x86_64-linux-gnu-g++ -DPACKAGE_NAME=\"gpsk31\" -DPACKAGE_TARNAME=\"gpsk31\" -DPACKAGE_VERSION=\"0.5\" -DPACKAGE_STRING=\"gpsk31\ 0.5\" -DPACKAGE_BUGREPORT=\"pg4i@amsat.org\" -DPACKAGE=\"gpsk31\" -DVERSION=\"0.5\" -DDATE=\"June\ 27\ 2008\" -DHAVE_LIBM=1 -DHAVE_LIBPTHREAD=1 -DUSE_PTHREAD=1 -DSTDC_HEADERS=1 -I. -I. -D_REENTRANT -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DPIXMAPDIR=\"/usr/share/pixmaps\" -DDATADIR=\"/usr/share/gpsk31\" -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED    -g -O2 -Wall -MT call_dialog.o -MD -MP -MF ".deps/call_dialog.Tpo" -c -o call_dialog.o call_dialog.C; \
> 	then mv -f ".deps/call_dialog.Tpo" ".deps/call_dialog.Po"; else rm -f ".deps/call_dialog.Tpo"; exit 1; fi
> call_dialog.C: In function 'void toggle_call_dialog()':
> call_dialog.C:378: error: 'GTK_WIDGET_VISIBLE' was not declared in this scope
> make[2]: *** [call_dialog.o] Error 1

The full build log is available from:

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |

--- End Message ---
--- Begin Message ---
Source: gpsk31
Source-Version: 0.5-4

We believe that the bug you reported is fixed in the latest version of
gpsk31, which is due to be installed in the Debian FTP archive:

  to main/g/gpsk31/gpsk31_0.5-4.debian.tar.gz
  to main/g/gpsk31/gpsk31_0.5-4.dsc
  to main/g/gpsk31/gpsk31_0.5-4_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 577375@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Luca Falavigna <dktrkranz@debian.org> (supplier of updated gpsk31 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Sat, 08 May 2010 15:58:48 +0200
Source: gpsk31
Binary: gpsk31
Architecture: source i386
Version: 0.5-4
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
 gpsk31     - GTK-based psk31
Closes: 577375
 gpsk31 (0.5-4) unstable; urgency=low
   * QA upload.
   * Switch to debhelper 7.
   * Switch to format 3.0 (quilt).
   * Bump Standards-Version to 3.8.4.
   * debian/patches/MSG_MORE.patch:
     - Convert fix from last upload in this patch.
   * debian/patches/deprecated_GTK.patch:
     - Replace deprecated GTK macro with related function (Closes: #577375).
 49df308cd8d974b1396218bc48065806e7c1e6c6 989 gpsk31_0.5-4.dsc
 f314728919ed44d016da69482dbce25941244397 4343 gpsk31_0.5-4.debian.tar.gz
 78c9123e70618bf11051cf8638b2fcb11736681b 65374 gpsk31_0.5-4_i386.deb
 b974e311d2bf1fc3a3b6afc469f3a2466277af389400e87e808e0af7a38fef5e 989 gpsk31_0.5-4.dsc
 a114bb0a7d9b876f0149e2aa6db34afc18c32995fc26117fbc334ff548170e92 4343 gpsk31_0.5-4.debian.tar.gz
 daf7543e3f236d28a31a672a1ed1354081c23e7e0df05361f6918cbd8d3e7cff 65374 gpsk31_0.5-4_i386.deb
 acf8a63a4f23c982a2795a8c99c82bbd 989 hamradio optional gpsk31_0.5-4.dsc
 9ea208a89fbcd8bf7a1712e553be6a55 4343 hamradio optional gpsk31_0.5-4.debian.tar.gz
 cd64abe2bacdcc75a365d961c23d9cae 65374 hamradio optional gpsk31_0.5-4_i386.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: